summaryrefslogtreecommitdiffstats
path: root/system/makepp
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-04-01 01:06:08 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-01 01:06:08 +0700
commit3f185623a47cd1cad5c6fefd9bb96f0c22fbdc9f (patch)
treeec1671eda0be4b054520a813926472f5a1481efc /system/makepp
parent20501e7156be4c68d3a1137acc4b926a9f2f8b83 (diff)
downloadslackbuilds-3f185623a47cd1cad5c6fefd9bb96f0c22fbdc9f.tar.gz
slackbuilds-3f185623a47cd1cad5c6fefd9bb96f0c22fbdc9f.tar.xz
system/makepp: Added (GNU Make replacement).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/makepp')
-rw-r--r--system/makepp/README14
-rw-r--r--system/makepp/makepp.SlackBuild62
-rw-r--r--system/makepp/makepp.info10
-rw-r--r--system/makepp/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/system/makepp/README b/system/makepp/README
new file mode 100644
index 0000000000..3c5e83b047
--- /dev/null
+++ b/system/makepp/README
@@ -0,0 +1,14 @@
+makepp (drop-in replacement for GNU make, with extra features)
+
+Makepp, a build program which has a number of features that allow for
+reliable builds and simpler build files, is a drop-in replacement for
+GNU make. It supports almost all of the syntax that GNU make supports,
+and can be used with makefiles produced by utilities such as automake.
+
+Some of makepp's extra features include:
+
+- Extended Makefile syntax, including embedded perl code.
+- Logging and extra diagnostics, which allows makepp to act as "lint"
+ for Makefiles.
+- Can create a visual graph of the dependencies in a Makefile, using
+ graphviz for rendering.
diff --git a/system/makepp/makepp.SlackBuild b/system/makepp/makepp.SlackBuild
new file mode 100644
index 0000000000..a9758a50cc
--- /dev/null
+++ b/system/makepp/makepp.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for makepp
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=makepp
+VERSION=${VERSION:-2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Most of the executables have 2 names each, short and long, e.g. mpp
+# and makepp. install.pl installs them as hardlinks, which is kinda weird
+# for a Slack package. Not sure they'd cause any problems, but I *know*
+# symlinks work correctly, so:
+sed -i 's,^ *link\>,symlink,' install.pl
+
+# configure/make is just a wrapper around install.pl. Skip the tests,
+# because they spam /usr/include and don't even clean up after themselves.
+perl install.pl \
+ /usr/bin \
+ /usr/share/$PRGNAM \
+ /usr/man \
+ /usr/doc/$PRGNAM-$VERSION \
+ none \
+ $PKG/usr
+
+gzip -9 $PKG/usr/man/man1/*.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/makepp/makepp.info b/system/makepp/makepp.info
new file mode 100644
index 0000000000..33ddf853c0
--- /dev/null
+++ b/system/makepp/makepp.info
@@ -0,0 +1,10 @@
+PRGNAM="makepp"
+VERSION="2.0"
+HOMEPAGE="http://makepp.sourceforge.net/"
+DOWNLOAD="https://downloads.sourceforge.net/project/makepp/2.0/makepp-2.0.tgz"
+MD5SUM="634d67455bf32fe1f16f65b7e32f4a45"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/makepp/slack-desc b/system/makepp/slack-desc
new file mode 100644
index 0000000000..b742ce443f
--- /dev/null
+++ b/system/makepp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+makepp: makepp (drop-in replacement for GNU make, with extra features)
+makepp:
+makepp: Makepp, a build program which has a number of features that allow for
+makepp: reliable builds and simpler build files, is a drop-in replacement for
+makepp: GNU make. It supports almost all of the syntax that GNU make supports,
+makepp: and can be used with makefiles produced by utilities such as automake.
+makepp:
+makepp:
+makepp:
+makepp:
+makepp: